Bug 823999 - Suspend/resume of sudo shell broken in sudo-1.7.4p5-9.el6_2
Suspend/resume of sudo shell broken in sudo-1.7.4p5-9.el6_2
Status: CLOSED DUPLICATE of bug 823993
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sudo (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 10:44 EDT by Johnny Hughes
Modified: 2012-05-31 05:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 05:53:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 5740 None None None Never

  None (edit)
Description Johnny Hughes 2012-05-22 10:44:52 EDT
Description of problem:
1) type sudo vi
2) type password (if required)
3) hit control-Z
4) type fg - note that screen fails to redraw)
5) hit Enter twice - note that vi is not responding properly
6) hit control-Z - terminal seems stuck; must disconnect from terminal session to recover
(Steps 5 & 6 aren't critical - I've tried doing other things here but no success.)


Version-Release number of selected component (if applicable):
sudo-1.7.4p5-7.el6.x86_64 is OK but sudo-1.7.4p5-9.el6_2.x86_64 is broken.

How reproducible:
Always


Additional info:
This is an upstream sudo issue in version 1.7.5 that is fixed in 1.8.1.

http://www.gratisoft.us/sudo/stable.html#1.8.1

Please see the CentOS bug tracker for more info:

http://bugs.centos.org/view.php?id=5740
Comment 3 RHEL Product and Program Management 2012-05-27 08:13:42 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Daniel Kopeček 2012-05-31 05:53:57 EDT

*** This bug has been marked as a duplicate of bug 823993 ***

Note You need to log in before you can comment on or make changes to this bug.